/* Template styling */

html, body {
  margin: 0;
}

body {
  background: url('../images/dark-linen.png') repeat;
  font-family: 'Roboto', sans-serif;
}

div#app {
  display: grid;
  max-width: 1400px;
  margin: 0 auto;
  grid-template-columns: auto 1fr auto;
  grid-template-rows: auto auto 1fr auto;
  grid-template-areas: 
    'header header header'
    'menu menu menu'
    'container container container'
    'footer footer footer'
  ;
  min-height: 100vh;
}

header {
  grid-area: header;
  height: 200px;
  background: url('../images/banner-top.png');
}

nav {
  grid-area: menu;
  height: 60px;
  background: url('../images//banner-bottom.png');
  font-size: 1.75em;
  line-height: 60px;
  padding: 20px;
  color: white;
  display: flex;
}

nav a {
  color: rgb(95, 191, 255);
  text-decoration: none;
  margin: 0 10px;
}

nav a:hover {
  color: rgb(198, 115, 247);
}

#container {
  grid-area: container;
  background-color: rgba(0, 0, 0, 0.5);
  padding: 20px;
  color: white;
}

footer {
  grid-area: footer;
  padding: 10px;
  text-align: center;
  color: #ccc;
}

.hidden {
  display: none;
}

a.active {
  color: white;
  font-weight: bold;
}

input#search {
  font-size: 20px;
  background-color: rgba(0, 0, 0, 0.8);
  color: white;
  border: 1px solid gray;
  border-radius: 4px;
  height: 24px;
  flex: 1 0;
  margin: auto;
}

span.favorite {
  padding-left: 10px;
  cursor: pointer;
}

span.favorite.active {
  color: rgb(255, 0, 149);
}

span.favorite:hover {
  color:rgb(187, 135, 255)
}
.category-card{
  display: flex;
  flex-direction: row; 
  align-items: center;  
  justify-content: space-evenly;  
}

.categories{
  display: flex;
  flex-direction: column;
  text-align: center;  
}


/* End template styling */



/* Add your styles below */
